| Qore MewsRestDataProvider Module Reference 1.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
MewsRestDataProvider::MewsRestTablesDataProvider Class Reference

The MewsRest data provider class. More...

`#include <MewsRestTablesDataProvider.qc.dox.h>`

Inheritance diagram for MewsRestDataProvider::MewsRestTablesDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (MewsRestClient mews)
| Creates the object from the REST client.
*list< hash< DataProvider::DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from MewsRestDataProvider::MewsRestDataProviderBase
| constructor ()
| Creates the object.
| constructor (MewsRestClient::MewsRestClient rest, *SwaggerDataProvider::SwaggerDataProvider sdp)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes
const | ConstructorOptions = MewsRestDataProvider::ConstructorOptions
| Constructor options.
const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from MewsRestDataProvider::MewsRestDataProviderBase
const | MaxRecords = 1000
| Max records that the Mews API will return in one request.

## Protected Member Functions
*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Detailed Description

The MewsRest data provider class.

## Member Function Documentation

## ◆ getChildProviderImpl()

*DataProvider::AbstractDataProvider MewsRestDataProvider::MewsRestTablesDataProvider::getChildProviderImpl | ( | string | name | ) |
| protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## ◆ getChildProviderNamesImpl()

*list< string > MewsRestDataProvider::MewsRestTablesDataProvider::getChildProviderNamesImpl | ( |  | ) |
| protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any